<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Juego de Damas Online</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <script type="text/javascript" src="#{appBean.baseUrl}resources/js/jquery.min.js"></script>
        <link href="#{appBean.baseUrl}resources/css/login.css" type="text/css" rel="stylesheet"/>
        <link href="#{appBean.baseUrl}resources/css/estilos.css" rel="stylesheet" type="text/css" />
        <link href="#{appBean.baseUrl}resources/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="#{appBean.baseUrl}resources/js/jquery-ui.min.js"></script>
         <script type="text/javascript" src="#{appBean.baseUrl}resources/js/checkers.js"></script>
        <script type="text/javascript" src="#{appBean.baseUrl}resources/js/swfobject.js"></script>
        <script type="text/javascript" src="#{appBean.baseUrl}resources/js/web_socket.js"></script>
        <script type="text/javascript" src="#{appBean.baseUrl}resources/js/cookies.js"></script>
        <script type="text/javascript" src="#{appBean.baseUrl}resources/js/socketGame.js"></script>
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons"
              rel="stylesheet"></link>
        
  
    </h:head>
    <h:body>
   <h:form> 
    <p:menubar>
        
 
        <p:submenu label="Juego de Damas online" icon="ui-icon-pencil">
            <p:menuitem value="Nosotros" url="#" icon="ui-icon-arrowreturnthick-1-w" />
            <p:menuitem value="Software" url="#" icon="ui-icon-arrowreturnthick-1-e" />
        </p:submenu>

 
    </p:menubar>
       </h:form>
        <div>
            <div class="row">
                <div class="col-md-8">
                    <table id="tablero">
                        
                        
                    </table>
                </div>
                <div class="col-md-4">
                    <p:tabView>
                        <p:tab title="Iniciar Sesion">
                              
                                 <h:form id="formLogin">
                                      <p:growl id="growl" showDetail="true" life="3000" />
                                     <p:panel header="Ingresar Usuario y Clave">  
                                         <h:panelGrid columns="2" cellpadding="5">  
                                             <h:outputLabel for="username" value="Usuario" />  
                                             <p:inputText value="#{loginBean.username}"   
                                                     id="username" required="true" label="username" />  

                                             <h:outputLabel for="password" value="Clave:" />    
                                             <p:password value="#{loginBean.password}"   
                                                     id="password" required="true" label="password"/>
                                             <f:facet name="footer">
                                                 <p:commandButton id="loginButton" value="Login" update="growl"  
                                                                  actionListener="#{loginBean.login()}" icon="icon-login"
                                                     oncomplete="handleLoginRequest(xhr, status, args)"/>
                                             </f:facet>  
                                         </h:panelGrid> 
                                     </p:panel> 
                                 </h:form>
                        </p:tab>
                        <p:tab title="Registrarse">
                            <h:form id="formNuevoUsuario">
                               <p:panelGrid columns="2" >
                               <p:outputLabel value="Nombres:"/>
                               <p:inputText value="#{usuarioBean.usuario.nombre}"/>
                               <p:outputLabel value="Apellidos:"/>
                               <p:inputText value="#{usuarioBean.usuario.apellido}"/>
                               <p:outputLabel value="Email:"/>
                               <p:inputText value="#{usuarioBean.usuario.email}"/>
                               <p:outputLabel value="Nombre usuario:"/>
                               <p:inputText value="#{usuarioBean.usuario.usuario}"/>
                               <p:outputLabel value="Contraseña:"/>
                               <p:password value="#{usuarioBean.usuario.clave}"/>
                               
                               
                               <p:commandButton value="Guardar" actionListener="#{usuarioBean.nuevoUsuario()}" />

                               </p:panelGrid>
                           </h:form>
                        </p:tab>
                    </p:tabView> 
                </div>
                <div id="statusBar">
        <div id="views">
            <p>Número de espectadores: <strong id="viewsCount">0</strong><i class="material-icons">remove_red_eye</i></p>
        </div>
        <div id="turn">
            <p>Es el turno del jugador: <strong id ="playerTurn"></strong></p>
        </div>
        <div id="score">

        </div>
    </div>
            </div>
            
        </div>
       
        <script type="text/javascript">
            function handleLoginRequest(xhr, status, args) {
                if(args.validationFailed || !args.loggedIn) {
                    jQuery('#formLogin').effect("shake", { times:3 }, 100);
                } else {
                    location.href =  args.ruta;
                }
            }
        </script>
    </h:body>
</html>
